﻿/*!
 * Jumbula ViewEntries Style
 * Copyright © 2015 - Author: Saeed Seyfi (saeedseyfi.com) at Jumbula
 */

/**********|TOGGLE SWITCH|************/
.dashboard-toggle {
    margin-bottom: 10px;
    width: 100%;
}

    .dashboard-toggle .t-label {
        font-size: 18px;
        margin-right: 10px;
        margin-top: 3px;
    }

    .dashboard-toggle .span7 {
        margin: 0;
    }

.toggle-switch .switch {
    background-color: #dddddd;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    color: #323a45;
    font-weight: bold;
    text-align: center;
    float: left;
    width: 100%;
    text-transform: capitalize;
    position: relative;
}

    .toggle-switch .switch input {
        opacity: 0;
        position: absolute;
        display: none;
    }

.toggle label {
    position: relative;
    z-index: 3;
    display: block;
    width: 100%;
}

.switch input:checked + label {
    color: #FFFFFF;
}

.switch .slide-button {
    position: absolute;
    top: 0;
    left: 0;
    padding: 0;
    z-index: 1;
    width: 50%;
    height: 100%;
}

.switch.switch-five label,
.switch.switch-five .slide-button {
    width: 20%;
}

.switch.switch-five input:checked:nth-of-type(2) ~ .slide-button {
    left: 20%;
}

.switch.switch-five input:checked:nth-of-type(3) ~ .slide-button {
    left: 40%;
}

.switch.switch-five input:checked:nth-of-type(4) ~ .slide-button {
    left: 60%;
}

.switch.switch-five input:checked:last-of-type ~ .slide-button {
    left: 80%;
}

.toggle label, .toggle p, .switch label {
    line-height: 30px;
    vertical-align: middle;
}

.switch label {
    float: left;
    height: 100%;
    margin: 0;
    position: relative;
    text-align: center;
    z-index: 2;
    color: #586C7C;
}

.switch *, .toggle * {
    -moz-box-sizing: border-box;
}

.switch .slide-button {
    display: block;
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -ms-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.toggle-switch .slide-button {
    background-color: #f68c0f;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
}

@media only screen {

    /* Checkbox
     */
    .toggle {
        position: relative;
        padding: 0;
        margin-left: 100px;
    }

        /* Position the label over all the elements, except the slide-button
     * Clicking anywhere on the label will change the switch-state
     */
        .toggle label {
            position: relative;
            z-index: 3;
            display: block;
            width: 100%;
        }

        /* Don't hide the input from screen-readers and keyboard access
     */
        .toggle input {
            position: absolute;
            opacity: 0;
            z-index: 5;
        }

        .toggle p {
            position: absolute;
            left: -100px;
            width: 100%;
            margin: 0;
            padding-right: 100px;
            text-align: left;
        }

            .toggle p span {
                position: absolute;
                top: 0;
                left: 0;
                z-index: 5;
                display: block;
                width: 50%;
                margin-left: 100px;
                text-align: center;
            }

                .toggle p span:last-child {
                    left: 50%;
                }

        .toggle .slide-button {
            position: absolute;
            right: 0;
            top: 0;
            z-index: 4;
            display: block;
            width: 50%;
            height: 100%;
            padding: 0;
        }

    /* Radio Switch
     */
    .switch {
        position: relative;
        padding: 0;
    }

        .switch input {
            position: absolute;
            opacity: 0;
        }

        .switch label {
            position: relative;
            z-index: 2;
            float: left;
            width: 50%;
            height: 100%;
            margin: 0;
            text-align: center;
            color: #3B4352;
        }

        .switch .slide-button {
            position: absolute;
            top: 0;
            left: 0;
            padding: 0;
            z-index: 1;
            width: 50%;
            height: 100%;
        }

        .switch input:last-of-type:checked ~ .slide-button {
            left: 50%;
        }

        /* Switch with 5 items */
        .switch.switch-five label,
        .switch.switch-five .slide-button {
            width: 20%;
        }

        .switch.switch-five input:checked:nth-of-type(2) ~ .slide-button {
            left: 20%;
        }

        .switch.switch-five input:checked:nth-of-type(3) ~ .slide-button {
            left: 40%;
        }

        .switch.switch-five input:checked:nth-of-type(4) ~ .slide-button {
            left: 60%;
        }

        .switch.switch-five input:checked:last-of-type ~ .slide-button {
            left: 80%;
        }


    /* Shared */
    .toggle,
    .switch {
        display: block;
        height: 30px;
    }

        .switch *,
        .toggle * {
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }

        .switch .slide-button,
        .toggle .slide-button {
            display: block;
            -webkit-transition: all 0.3s ease-out;
            -moz-transition: all 0.3s ease-out;
            -ms-transition: all 0.3s ease-out;
            -o-transition: all 0.3s ease-out;
            transition: all 0.3s ease-out;
        }

        .toggle label,
        .toggle p,
        .switch label {
            line-height: 30px;
            vertical-align: middle;
        }

        .toggle input:checked ~ .slide-button {
            right: 50%;
        }

        /* Outline the toggles when the inputs are focused */
        .toggle input:focus ~ .slide-button,
        .switch input:focus + label {
        }

    /* Bugfix for older Webkit, including mobile Webkit. Adapted from:
     * http://css-tricks.com/webkit-sibling-bug/
     */
    .switch, .toggle {
        -webkit-animation: bugfix infinite 1s;
    }
}

@-webkit-keyframes bugfix {
    from {
        position: relative;
    }

    to {
        position: relative;
    }
}